story1/urls.py
from django.urls import path

from . import views

app_name = 'story1'

urlpatterns = [
    path('story1/', views.index, name='index'),
]

story4/urls.py
from django.urls import path

from . import views

app_name = 'story4'

urlpatterns = [
    path('', views.index, name='index'),
    path('about/', views.about, name='about'),
    path('edu/', views.edu, name='edu'),
]

story4project/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('story4.urls')),
    path('', include('story1.urls')),
    path('story5/', include('story5.urls')),
]

story5/urls.py
from django.urls import path
from . import views

app_name = 'story5'

urlpatterns = [
    path('', views.subject, name='subject'),
    path('add/', views.subject_add, name='subject_add'),
    path('detail/<int:index>/', views.subject_detail, name='subject_detail'),
    # path('list/', views.subject, ),
]

story1/models.py
from django.db import models

# Create your models here.

story4/models.py
from django.db import models

# Create your models here.

story5/models.py
from django.db import models

# Create your models here.
class Subject(models.Model):
    matkul = models.CharField('Subject', max_length=120, null=True)
    dosen = models.CharField('Lecturer', max_length=120, null=True)
    sks = models.IntegerField('Total Credit', null=True)
    semester = models.IntegerField('Semester', null=True)
    kelas = models.CharField('Class', max_length=120, null=True)

    def __str__(self):
        return self.matkul

story5/forms.py
from django.forms import ModelForm
from .models import Subject


class SubjectForm(ModelForm):
    required_css_class = 'required'

    class Meta:
        model = Subject
        fields = '__all__'

story1/views.py
from django.shortcuts import render

# Create your views here.

def index(request):
    return render(request, 'story1/index.html')

story4/views.py
from django.shortcuts import render

# Create your views here.

def index(request):
    return render (request,'story4/index.html')

def about(request):
    return render (request,'story4/about.html')

def edu(request):
    return render (request,'story4/edu.html')

story5/views.py
from django.shortcuts import render

# Create your views here.
from django.shortcuts import render, redirect,  get_object_or_404
from django.http import HttpResponseRedirect
from .models import Subject
from .forms import SubjectForm
import datetime

# Create your views here.


def subject(request):
    if request.method == "POST":
        Subject.objects.get(id=request.POST['id']).delete()
        return redirect('/subject/')
    subject_list = Subject.objects.all()
    return render(request, 'subject_list.html', {'subject_list': subject_list})


def subject_add(request):
    submit = False
    if request.method == 'POST':
        form = SubjectForm(request.POST)
        if form.is_valid():
            form.save()
            # return render(request, 'subject_add.html')
            return HttpResponseRedirect('/subject/add/?submit=True')
    return render(request, 'subject_add.html', {'form': form, 'submit': submit})

def subject_detail(request, pk):
    matkul = get_object_or_404(Subject, id=pk)
    return render(request, 'story5:subject_detail', {'post': matkul})

story1/templates/story1/index.html
<!DOCTYPE html>
<html lang="en">

{% load static %} 
  
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Aryo Wicaksono's Personal Website</title>
    <link rel="stylesheet" href="{% static 'story1/style.css' %}">
</head>


<body background="{% static 'story1/pictures/sky.jpg' %}" style="background-size: cover; background-repeat: no-repeat;">
    
    <header style="text-align: center;">
       <div style="background-color: rgb(110, 121, 131);"> 
            </br><h1>Hi! Welcome to My First Page!</h1>
            <img src="{% static 'story1/pictures/381573.jpg' %}" width="200" height="200" style="border-radius: 50%;"/>
            <h1>My name is Aryo Wicaksono</h1>
            <p> System Information student at Fasilkom UI</p>
            <p> my ig: <a href=https://www.instagram.com/aryo.10/> click here </a> </p></br>  
            </body>
       </div> 
    </header>

    </br>

    <div style="text-align: center;"  >
        <div style="background-color: rgb(110, 121, 131);">
        </br><h2>Overview</h2>
        <p>
            Halo, saya adalah mahasiswa Fasilkom UI angkatan 2019 yang berdomisisli di Jakarta.
            Saat ini saya sedang belajar membuat web dengan html pada mata kuliah PPW.
            Saya memang masih baru dalam web development, 
            dan web yang saya buat masih ditaburi begitu banyak kekurangan. 
            Karena itu, saya tidak akan pernah berhenti belajar.
        </p></br>
        </div>
    </div>

    <div style="background-color: rgb(110, 121, 131);"> 
        <h2 style="text-align: center; font-size: 150%; color:black;">
        </br> Hi! My Name is Aryo Wicaksono
        </h2>
        <table style="width: 100%;" >
            <tbody>
                <tr>
                    <td>Nama</td>
                    <td>Aryo Wicaksono</td>
                </tr>
                <tr>
                    <td>NPM</td>
                    <td>1906399032</td>
                </tr>
                <tr>
                    <td>Angkatan</td>
                    <td>Maung 2019</td>
                </tr>
                <tr>
                    <td>Kampus</td>
                    <td>Universitas Indoenesia</td>
                </tr>
                <tr>
                    <td>Hobi</td>
                    <td>Sepak bola, game</td>
                </tr>
            </tbody>
        </table></br>

    </div>

    <footer style="text-align: center;">
        <p>Copyright &copy; 2020 Aryo Wicaksono.</p>
    </footer>
</body>
</html>

story4/templates/story4/about.html
{% extends 'story4/base.html'%} {% load static %} {% block content %}
        <section id="about">
            <div class="about container">
                <div class="col-left">
                    <div class="about-img">
                        <img src="{% static 'story4/pictures/381573.jpg' %}" alt="img">
                    </div>
                </div>
                <div class="col-right">
                    <h1 class="section-title" style="color:  rgba(105,121,104,1);">ABOUT ME</h1>
                    <p>Halo, saya adalah mahasiswa Fasilkom UI angkatan 2019 yang berdomisisli di Jakarta.
                        Saat ini saya sedang belajar membuat web dengan html pada mata kuliah PPW.
                        Saya memang masih baru dalam web development, 
                        dan web yang saya buat masih ditaburi begitu banyak kekurangan. 
                        Karena itu, saya tidak akan pernah berhenti belajar.</p>
                </div>
            </div>
        </section>
        <!-- End About Section -->
        {% endblock %}

story4/templates/story4/base.html
<!DOCTYPE html>
<html>
    {% load static %}
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">  
    <link href="https://fonts.googleapis.com/css?family=Ubuntu&display=swap" rel="stylesheet" />
    <link rel="stylesheet" href="{% static 'story4/style.css' %}">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" />
    <title>Welcome!</title>
</head>
    
<body>
    <nav class="navbar navbar-expand-lg navbar-light">
        <a class="navbar-brand" href="#">MyPage</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
          <div class="navbar-nav">
            <a class="nav-link active" href="{% url 'story4:index' %}">Home <span class="sr-only">(current)</span></a>
            <a class="nav-link" href="{% url 'story4:about' %}">About Me</a>
            <a class="nav-link" href="{% url 'story4:edu' %}">Education</a>
          </div>
        </div>
    </nav>
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
{% block content %} {% endblock %}
<footer style="text-align: center;">
    <p>Copyright &copy; 2020 Aryo Wicaksono.</p>
</footer>
</body>
</html>

story4/templates/story4/edu.html
{% extends 'story4/base.html'%} {% load static %} {% block content %}
    <div id="pendidikan">
        <h1 class="section-title">EDUCATION</h1>
        <div class="pendidikan-item">
            <div class="ui">
                <p>Universitas Indonesia <br> 2019 - present</p>
            </div>
        </div>
        <div class="pendidikan-item">
            <div class="sma">
                <p>SMAN 62 Jakarta <br> 2016 - 2019</p>
            </div>
        </div>
        <div class="pendidikan-item">
            <div class="smp">
                <p>SMPN 150 Jakarta <br> 2013 - 2016</p>
            </div>

        </div>
    </div>

    {% endblock %}

story4/templates/story4/index.html
{% extends 'story4/base.html'%} {% load static %} {% block content %}
    <div class="container-fluid">
    <div class="row">
        <div class="column col-md-6 col-sm-12">
                <div style="background-color: rgb(228,232,216,1); text-align: center;"> 
                     </br><h1>Welcome to My First Page!</h1>
                    </br><img src="{% static 'story4/pictures/sky.jpg' %}" width="300" height="170"/>
                    <br></br><h1>My name is Aryo Wicaksono</h1>
                     <p1> So this page tells about </br>
                          myself overall</p1>
                        <br></br>
                     <p2> There is a lot of mistakes in my first</br> 
                          web, but i hope i can improve it!</p2>
                        <br></br>
                     <p3>
                          If you have any suggestions or</br> 
                          advices, feel free to contact me! :)
                     </p3>
                        <br></br>     
                </div>
        </div>
        
        <div class="column2 col-md-6 col-sm-12"> 
            <br></br><img src="{% static 'story4/pictures/381573.jpg' %}" width="200" height="200" style="border-radius: 50%;"/>
                </br><h1>Hi! I am Aryo Wicaksono</h1>
                <p2> System Information student at Fasilkom UI</p2>
                <br></br>
                <p> NPM          : &nbsp;1906399032 </p> 
                <p> Tanggal Lahir: &nbsp;11 September 2001 </p>
                <p> Email        : &nbsp;aryo.wicaksono91@ui.ac.id </p>
                <p> Hobi         : &nbsp;Sepak Bola </p>
                
            <div class="sosmed">   
                <a href="https://www.facebook.com/Rap.God27/">
                    <img alt="Qries" src="{% static 'story4/pictures/facebook.png' %}"
                    width="30" height="30">
                </a>&nbsp;&nbsp;&nbsp;&nbsp;
                
                <a href="https://www.instagram.com/aryo.10">
                    <img alt="Qries" src="{% static 'story4/pictures/instagram.png' %}"
                    width="30" height="30">
                </a>&nbsp;&nbsp;&nbsp;&nbsp; 
                
                <a href="https://www.linkedin.com/in/aryo-wicaksono-2230bb151/">
                    <img alt="Qries" src="{% static 'story4/pictures/linkedin.png' %}"
                    width="30" height="30">
                </a>&nbsp;&nbsp;&nbsp;&nbsp;  
            </div>
        </div>
    </div>
    </div>

    {% endblock %}